<?xml version="1.0"?>
<GTK-Interface>

<project>
  <name>Project9</name>
  <program_name>project9</program_name>
  <directory></directory>
  <source_directory>src</source_directory>
  <pixmaps_directory>pixmaps</pixmaps_directory>
  <language>C</language>
  <gnome_support>True</gnome_support>
  <gettext_support>True</gettext_support>
  <output_main_file>False</output_main_file>
</project>

<widget>
  <class>GtkWindow</class>
  <name>window1</name>
  <visible>False</visible>
  <title>window1</title>
  <type>GTK_WINDOW_TOPLEVEL</type>
  <position>GTK_WIN_POS_NONE</position>
  <modal>False</modal>
  <allow_shrink>False</allow_shrink>
  <allow_grow>True</allow_grow>
  <auto_shrink>False</auto_shrink>

  <widget>
    <class>GtkVBox</class>
    <name>main_widget</name>
    <signal>
      <name>drag_data_received</name>
      <handler>gdam_buffer_editor_defer_to_viewport:gdam_buffer_viewport_buffer_id_dropped</handler>
      <last_modification_time>Fri, 04 Feb 2000 04:21:18 GMT</last_modification_time>
    </signal>
    <homogeneous>False</homogeneous>
    <spacing>0</spacing>

    <widget>
      <class>GtkMenuBar</class>
      <name>menubar1</name>
      <shadow_type>GTK_SHADOW_OUT</shadow_type>
      <child>
	<padding>0</padding>
	<expand>False</expand>
	<fill>False</fill>
      </child>

      <widget>
	<class>GtkMenuItem</class>
	<name>buffer1</name>
	<label>buffer</label>
	<right_justify>False</right_justify>

	<widget>
	  <class>GtkMenu</class>
	  <name>buffer1_menu</name>

	  <widget>
	    <class>GtkMenuItem</class>
	    <name>buffer_manager1</name>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_skin_launch_unique:GdamBufferManagerSkin:buffermanager.xml</handler>
	      <last_modification_time>Tue, 07 Aug 2001 00:22:01 GMT</last_modification_time>
	    </signal>
	    <label>buffer manager...</label>
	    <right_justify>False</right_justify>
	  </widget>

	  <widget>
	    <class>GtkMenuItem</class>
	    <name>load_from_buffer_manager1</name>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_buffer_editor_load_default_buffer</handler>
	      <last_modification_time>Tue, 07 Aug 2001 00:22:01 GMT</last_modification_time>
	    </signal>
	    <label>load from buffer manager</label>
	    <right_justify>False</right_justify>
	  </widget>

	  <widget>
	    <class>GtkMenuItem</class>
	    <name>reload_current_buffer1</name>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_buffer_editor_set_default</handler>
	      <last_modification_time>Thu, 03 Jan 2002 15:17:20 GMT</last_modification_time>
	    </signal>
	    <label>reload current buffer</label>
	    <right_justify>False</right_justify>
	  </widget>
	</widget>
      </widget>

      <widget>
	<class>GtkMenuItem</class>
	<name>render1</name>
	<label>render</label>
	<right_justify>False</right_justify>

	<widget>
	  <class>GtkMenu</class>
	  <name>render1_menu</name>

	  <widget>
	    <class>GtkRadioMenuItem</class>
	    <name>left1</name>
	    <signal>
	      <name>toggled</name>
	      <handler>gdam_buffer_editor_defer_to_viewport:gdam_skin_skin_toggle_button:profile_mode:left</handler>
	      <last_modification_time>Tue, 07 Aug 2001 00:22:01 GMT</last_modification_time>
	    </signal>
	    <label>left</label>
	    <active>False</active>
	    <always_show_toggle>True</always_show_toggle>
	    <group>waveform_render</group>
	  </widget>

	  <widget>
	    <class>GtkRadioMenuItem</class>
	    <name>right1</name>
	    <signal>
	      <name>toggled</name>
	      <handler>gdam_buffer_editor_defer_to_viewport:gdam_skin_skin_toggle_button:profile_mode:right</handler>
	      <last_modification_time>Tue, 07 Aug 2001 00:22:01 GMT</last_modification_time>
	    </signal>
	    <label>right</label>
	    <active>False</active>
	    <always_show_toggle>True</always_show_toggle>
	    <group>waveform_render</group>
	  </widget>

	  <widget>
	    <class>GtkRadioMenuItem</class>
	    <name>average1</name>
	    <signal>
	      <name>toggled</name>
	      <handler>gdam_buffer_editor_defer_to_viewport:gdam_skin_skin_toggle_button:profile_mode:average</handler>
	      <last_modification_time>Tue, 07 Aug 2001 00:22:01 GMT</last_modification_time>
	    </signal>
	    <label>average</label>
	    <active>False</active>
	    <always_show_toggle>True</always_show_toggle>
	    <group>waveform_render</group>
	  </widget>

	  <widget>
	    <class>GtkRadioMenuItem</class>
	    <name>stereo1</name>
	    <signal>
	      <name>toggled</name>
	      <handler>gdam_buffer_editor_defer_to_viewport:gdam_skin_skin_toggle_button:profile_mode:stereo</handler>
	      <last_modification_time>Tue, 07 Aug 2001 00:22:01 GMT</last_modification_time>
	    </signal>
	    <label>stereo</label>
	    <active>False</active>
	    <always_show_toggle>True</always_show_toggle>
	    <group>waveform_render</group>
	  </widget>

	  <widget>
	    <class>GtkRadioMenuItem</class>
	    <name>fft1</name>
	    <signal>
	      <name>toggled</name>
	      <handler>gdam_buffer_editor_defer_to_viewport:gdam_skin_skin_toggle_button:profile_mode:fft</handler>
	      <last_modification_time>Tue, 07 Aug 2001 00:22:01 GMT</last_modification_time>
	    </signal>
	    <label>fft</label>
	    <active>True</active>
	    <always_show_toggle>True</always_show_toggle>
	    <group>waveform_render</group>
	  </widget>
	</widget>
      </widget>

      <widget>
	<class>GtkMenuItem</class>
	<name>edit1</name>
	<label>edit</label>
	<right_justify>False</right_justify>

	<widget>
	  <class>GtkMenu</class>
	  <name>edit1_menu</name>

	  <widget>
	    <class>GtkMenuItem</class>
	    <name>cut_selected_region1</name>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_buffer_editor_cut</handler>
	      <last_modification_time>Tue, 07 Aug 2001 00:22:01 GMT</last_modification_time>
	    </signal>
	    <label>cut selection</label>
	    <right_justify>False</right_justify>
	  </widget>

	  <widget>
	    <class>GtkMenuItem</class>
	    <name>kill_selected_region1</name>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_buffer_editor_kill</handler>
	      <last_modification_time>Tue, 07 Aug 2001 00:22:01 GMT</last_modification_time>
	    </signal>
	    <label>delete selection</label>
	    <right_justify>False</right_justify>
	  </widget>

	  <widget>
	    <class>GtkMenuItem</class>
	    <name>copy_selected_region1</name>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_buffer_editor_copy</handler>
	      <last_modification_time>Tue, 07 Aug 2001 00:22:01 GMT</last_modification_time>
	    </signal>
	    <label>copy selection</label>
	    <right_justify>False</right_justify>
	  </widget>

	  <widget>
	    <class>GtkMenuItem</class>
	    <name>reverse_selection1</name>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_buffer_editor_reverse</handler>
	      <last_modification_time>Tue, 07 Aug 2001 00:22:01 GMT</last_modification_time>
	    </signal>
	    <label>reverse selection</label>
	    <right_justify>False</right_justify>
	  </widget>

	  <widget>
	    <class>GtkMenuItem</class>
	    <name>mute_selected_region1</name>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_buffer_editor_mute</handler>
	      <last_modification_time>Tue, 07 Aug 2001 00:22:01 GMT</last_modification_time>
	    </signal>
	    <label>mute selection</label>
	    <right_justify>False</right_justify>
	  </widget>

	  <widget>
	    <class>GtkMenuItem</class>
	    <name>separator2</name>
	    <right_justify>False</right_justify>
	  </widget>

	  <widget>
	    <class>GtkCheckMenuItem</class>
	    <name>add_to_current_audio_(default:_overwrite)1</name>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_skin_create_if_defined:unstable</handler>
	      <last_modification_time>Sun, 06 Jan 2002 07:48:18 GMT</last_modification_time>
	    </signal>
	    <label>add to current audio (default: overwrite)</label>
	    <active>False</active>
	    <always_show_toggle>True</always_show_toggle>
	  </widget>

	  <widget>
	    <class>GtkMenuItem</class>
	    <name>replace_selected_region_from_buffer_manager1</name>
	    <tooltip>removes all selected audio and replaces with the currently selected buffer</tooltip>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_buffer_editor_replace</handler>
	      <last_modification_time>Sun, 06 Jan 2002 07:14:26 GMT</last_modification_time>
	    </signal>
	    <label>replace selection from buffer manager</label>
	    <right_justify>False</right_justify>
	  </widget>

	  <widget>
	    <class>GtkMenuItem</class>
	    <name>replace_selected_region_with_last_cut/copy1</name>
	    <tooltip>remove all selected audio and replace with last cut/copied buffer fragment</tooltip>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_buffer_editor_replace_with_cut</handler>
	      <last_modification_time>Sun, 06 Jan 2002 07:19:42 GMT</last_modification_time>
	    </signal>
	    <label>replace selection with last cut/copy</label>
	    <right_justify>False</right_justify>
	  </widget>

	  <widget>
	    <class>GtkMenuItem</class>
	    <name>replace_from_buffer_manager,_resize_target1</name>
	    <tooltip>crop incoming data to exactly fill selection</tooltip>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_buffer_editor_replace_and_preserve</handler>
	      <last_modification_time>Sun, 06 Jan 2002 07:47:21 GMT</last_modification_time>
	    </signal>
	    <label>replace from buffer manager, preserve length and aligment</label>
	    <right_justify>False</right_justify>
	  </widget>

	  <widget>
	    <class>GtkMenuItem</class>
	    <name>replace_with_cut/copy,_resize_target1</name>
	    <tooltip>incoming data is cropped to exactly fill selection</tooltip>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_buffer_editor_replace_and_preserve_with_cut</handler>
	      <last_modification_time>Sun, 06 Jan 2002 07:47:50 GMT</last_modification_time>
	    </signal>
	    <label>replace with cut/copy, preserve length and alignment</label>
	    <right_justify>False</right_justify>
	  </widget>

	  <widget>
	    <class>GtkMenuItem</class>
	    <name>separator1</name>
	    <right_justify>False</right_justify>
	  </widget>

	  <widget>
	    <class>GtkMenuItem</class>
	    <name>insert_from_buffer_manager_before_selection1</name>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_buffer_editor_insert:buffer_manager</handler>
	      <last_modification_time>Thu, 03 Jan 2002 15:18:46 GMT</last_modification_time>
	    </signal>
	    <label>insert from buffer manager before selection</label>
	    <right_justify>False</right_justify>
	  </widget>

	  <widget>
	    <class>GtkMenuItem</class>
	    <name>insert_from_buffer_manager_after_selection1</name>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_buffer_editor_insert:after:buffer_manager</handler>
	      <last_modification_time>Thu, 03 Jan 2002 15:19:05 GMT</last_modification_time>
	    </signal>
	    <label>insert from buffer manager after selection</label>
	    <right_justify>False</right_justify>
	  </widget>

	  <widget>
	    <class>GtkMenuItem</class>
	    <name>insert_last_cut/copy_before_selection1</name>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_buffer_editor_insert</handler>
	      <last_modification_time>Thu, 03 Jan 2002 15:19:30 GMT</last_modification_time>
	    </signal>
	    <label>insert last cut/copy before selection</label>
	    <right_justify>False</right_justify>
	  </widget>

	  <widget>
	    <class>GtkMenuItem</class>
	    <name>insert_last_cut/copy_after_selection1</name>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_buffer_editor_insert:after</handler>
	      <last_modification_time>Thu, 03 Jan 2002 15:19:50 GMT</last_modification_time>
	    </signal>
	    <label>insert last cut/copy after selection</label>
	    <right_justify>False</right_justify>
	  </widget>
	</widget>
      </widget>

      <widget>
	<class>GtkMenuItem</class>
	<name>select1</name>
	<label>select</label>
	<right_justify>False</right_justify>

	<widget>
	  <class>GtkMenu</class>
	  <name>select1_menu</name>

	  <widget>
	    <class>GtkMenuItem</class>
	    <name>select_whole_sample1</name>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_buffer_editor_defer_to_viewport:gdam_buffer_viewport_select_all</handler>
	      <last_modification_time>Tue, 07 Aug 2001 00:22:01 GMT</last_modification_time>
	    </signal>
	    <label>select whole sample</label>
	    <right_justify>False</right_justify>
	  </widget>

	  <widget>
	    <class>GtkMenuItem</class>
	    <name>select_visible_area1</name>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_buffer_editor_defer_to_viewport:gdam_buffer_viewport_select_visible_area</handler>
	      <last_modification_time>Thu, 03 Jan 2002 16:23:57 GMT</last_modification_time>
	    </signal>
	    <label>select visible area</label>
	    <right_justify>False</right_justify>
	  </widget>

	  <widget>
	    <class>GtkMenuItem</class>
	    <name>select_none1</name>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_buffer_editor_defer_to_viewport:gdam_buffer_viewport_select_none</handler>
	      <last_modification_time>Thu, 03 Jan 2002 16:26:47 GMT</last_modification_time>
	    </signal>
	    <label>select none</label>
	    <right_justify>False</right_justify>
	  </widget>

	  <widget>
	    <class>GtkMenuItem</class>
	    <name>extend_selection_to_left_edge1</name>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_buffer_editor_defer_to_viewport:gdam_buffer_viewport_extend_selection_to_first_sample</handler>
	      <last_modification_time>Thu, 03 Jan 2002 18:56:46 GMT</last_modification_time>
	    </signal>
	    <label>extend selection to left edge</label>
	    <right_justify>False</right_justify>
	  </widget>

	  <widget>
	    <class>GtkMenuItem</class>
	    <name>extend_selection_to_right_edge1</name>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_buffer_editor_defer_to_viewport:gdam_buffer_viewport_extend_selection_to_last_sample</handler>
	      <last_modification_time>Thu, 03 Jan 2002 18:57:34 GMT</last_modification_time>
	    </signal>
	    <label>extend selection to right edge</label>
	    <right_justify>False</right_justify>
	  </widget>

	  <widget>
	    <class>GtkMenuItem</class>
	    <name>extend_selection_to_fit_buffer_manager1</name>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_buffer_editor_extend_selection_to_fit_buffer_manager</handler>
	      <last_modification_time>Thu, 03 Jan 2002 19:10:53 GMT</last_modification_time>
	    </signal>
	    <label>extend selection to fit buffer manager</label>
	    <right_justify>False</right_justify>
	  </widget>

	  <widget>
	    <class>GtkMenuItem</class>
	    <name>extend_selection_to_fit_cut/copy1</name>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_buffer_editor_extend_selection_to_fit_cut</handler>
	      <last_modification_time>Thu, 03 Jan 2002 19:11:28 GMT</last_modification_time>
	    </signal>
	    <label>extend selection to fit cut/copy</label>
	    <right_justify>False</right_justify>
	  </widget>
	</widget>
      </widget>

      <widget>
	<class>GtkMenuItem</class>
	<name>zoom1</name>
	<label>zoom</label>
	<right_justify>False</right_justify>

	<widget>
	  <class>GtkMenu</class>
	  <name>zoom1_menu</name>

	  <widget>
	    <class>GtkMenuItem</class>
	    <name>zoom_to_whole_sample1</name>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_buffer_editor_defer_to_viewport:gdam_buffer_viewport_whole_sample</handler>
	      <last_modification_time>Tue, 07 Aug 2001 00:22:01 GMT</last_modification_time>
	    </signal>
	    <label>zoom to whole sample</label>
	    <right_justify>False</right_justify>
	  </widget>

	  <widget>
	    <class>GtkMenuItem</class>
	    <name>zoom_to_selection1</name>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_buffer_editor_defer_to_viewport:gdam_buffer_viewport_zoom_to_selection</handler>
	      <last_modification_time>Tue, 07 Aug 2001 00:22:01 GMT</last_modification_time>
	    </signal>
	    <label>zoom to selection</label>
	    <right_justify>False</right_justify>
	  </widget>

	  <widget>
	    <class>GtkMenuItem</class>
	    <name>zoom_in1</name>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_buffer_editor_defer_to_viewport:gdam_skin_skin_arg_double:zoom:0.5:is_factor</handler>
	      <last_modification_time>Sun, 06 Jan 2002 07:23:02 GMT</last_modification_time>
	    </signal>
	    <label>zoom in</label>
	    <right_justify>False</right_justify>
	  </widget>

	  <widget>
	    <class>GtkMenuItem</class>
	    <name>zoom_out1</name>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_buffer_editor_defer_to_viewport:gdam_skin_skin_arg_double:zoom:2.0:is_factor</handler>
	      <last_modification_time>Sun, 06 Jan 2002 07:23:38 GMT</last_modification_time>
	    </signal>
	    <label>zoom out</label>
	    <right_justify>False</right_justify>
	  </widget>
	</widget>
      </widget>
    </widget>

    <widget>
      <class>GtkHBox</class>
      <name>hbox1</name>
      <homogeneous>False</homogeneous>
      <spacing>0</spacing>
      <child>
	<padding>0</padding>
	<expand>True</expand>
	<fill>True</fill>
      </child>

      <widget>
	<class>GtkFrame</class>
	<name>frame1</name>
	<signal>
	  <name>whatever</name>
	  <handler>gdam_buffer_editor_viewport</handler>
	  <last_modification_time>Mon, 24 Jan 2000 02:58:52 GMT</last_modification_time>
	</signal>
	<label_xalign>0</label_xalign>
	<shadow_type>GTK_SHADOW_ETCHED_IN</shadow_type>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>Placeholder</class>
	</widget>
      </widget>

      <widget>
	<class>GtkVScrollbar</class>
	<name>vscrollbar1</name>
	<signal>
	  <name>whatever</name>
	  <handler>gdam_buffer_editor_defer_to_viewport:gdam_buffer_viewport_log_zoom_adjustment</handler>
	  <last_modification_time>Mon, 24 Jan 2000 05:59:55 GMT</last_modification_time>
	</signal>
	<policy>GTK_UPDATE_CONTINUOUS</policy>
	<value>0</value>
	<lower>-5</lower>
	<upper>10</upper>
	<step>0.1</step>
	<page>1</page>
	<page_size>0.1</page_size>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>
      </widget>
    </widget>

    <widget>
      <class>GtkHScale</class>
      <name>hscale1</name>
      <can_focus>True</can_focus>
      <signal>
	<name>whatever</name>
	<handler>gdam_buffer_editor_defer_to_viewport:gdam_buffer_viewport_center_adjustment</handler>
	<last_modification_time>Mon, 24 Jan 2000 06:01:01 GMT</last_modification_time>
      </signal>
      <draw_value>True</draw_value>
      <value_pos>GTK_POS_TOP</value_pos>
      <digits>5</digits>
      <policy>GTK_UPDATE_CONTINUOUS</policy>
      <value>17.1</value>
      <lower>0</lower>
      <upper>30</upper>
      <step>0.001</step>
      <page>1</page>
      <page_size>0.1</page_size>
      <child>
	<padding>0</padding>
	<expand>False</expand>
	<fill>False</fill>
      </child>
    </widget>

    <widget>
      <class>GtkHBox</class>
      <name>hbox2</name>
      <homogeneous>False</homogeneous>
      <spacing>0</spacing>
      <child>
	<padding>0</padding>
	<expand>False</expand>
	<fill>False</fill>
      </child>

      <widget>
	<class>GtkButton</class>
	<name>button1</name>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_skin_launch_unique:GdamBufferManagerSkin:buffermanager.xml</handler>
	  <last_modification_time>Wed, 02 Feb 2000 01:41:35 GMT</last_modification_time>
	</signal>
	<label>Buffer Manager</label>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>
      </widget>

      <widget>
	<class>GtkButton</class>
	<name>button2</name>
	<tooltip>import buffer  from buffer manager</tooltip>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_buffer_editor_load_default_buffer</handler>
	  <last_modification_time>Mon, 24 Jan 2000 02:58:21 GMT</last_modification_time>
	</signal>
	<label>=&gt;</label>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>
      </widget>

      <widget>
	<class>GtkVSeparator</class>
	<name>vseparator1</name>
	<child>
	  <padding>4</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>
      </widget>

      <widget>
	<class>GtkButton</class>
	<name>play`</name>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_buffer_editor_play</handler>
	  <last_modification_time>Mon, 24 Jan 2000 07:28:55 GMT</last_modification_time>
	</signal>
	<label>play</label>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>
      </widget>

      <widget>
	<class>GtkVSeparator</class>
	<name>vseparator2</name>
	<child>
	  <padding>4</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>
      </widget>

      <widget>
	<class>GtkHBox</class>
	<name>hbox4</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>GtkButton</class>
	  <name>cut</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_buffer_editor_cut</handler>
	    <last_modification_time>Mon, 24 Jan 2000 07:28:55 GMT</last_modification_time>
	  </signal>
	  <label>Cut</label>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>copy</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_buffer_editor_copy</handler>
	    <last_modification_time>Mon, 24 Jan 2000 07:28:55 GMT</last_modification_time>
	  </signal>
	  <label>Copy</label>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>kill</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_buffer_editor_kill</handler>
	    <last_modification_time>Mon, 24 Jan 2000 07:28:55 GMT</last_modification_time>
	  </signal>
	  <label>Kill</label>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>button3</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_buffer_editor_reverse</handler>
	    <last_modification_time>Mon, 24 Jan 2000 07:28:55 GMT</last_modification_time>
	  </signal>
	  <label>Reverse</label>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>
      </widget>

      <widget>
	<class>GtkVSeparator</class>
	<name>vseparator4</name>
	<child>
	  <padding>4</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>
      </widget>

      <widget>
	<class>GtkHBox</class>
	<name>hbox5</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>GtkButton</class>
	  <name>button9</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_buffer_editor_insert</handler>
	    <last_modification_time>Mon, 24 Jan 2000 07:28:55 GMT</last_modification_time>
	  </signal>
	  <label>Insert Before</label>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>button10</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_buffer_editor_insert:after</handler>
	    <last_modification_time>Mon, 24 Jan 2000 07:28:55 GMT</last_modification_time>
	  </signal>
	  <label>Insert After</label>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>button7</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_buffer_editor_replace</handler>
	    <last_modification_time>Mon, 24 Jan 2000 07:28:55 GMT</last_modification_time>
	  </signal>
	  <label>Replace</label>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>
      </widget>
    </widget>
  </widget>
</widget>

</GTK-Interface>
